﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace MSUS.Silverlight.Thmx2Theme.Controls
{
    /// <summary>
    /// Generic EventArgs implementation with the ability to pass along a generic payload
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class PayloadEventArgs<T> : EventArgs
    {
        public PayloadEventArgs(T payload)
        {
            Payload = payload;
        }

        /// <summary>
        /// The payload for the current class
        /// </summary>
        public T Payload { get; private set; }
    }
}
